<?php

namespace TablesRouter;

class AufgabeState {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function deleteConfirmURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteConfirmURL2($params);
	
    
  }

  public static function createURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::createURL2($params);
	
    
  }

  public static function editURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::editURL2($params);
	
    
  }

  public static function viewURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::viewURL2($params);
	
    
  }

  public static function deleteURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteURL2($params);
	
    
  }

  public static function indexURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::indexURL2($params);
	
    
  }

  public static function nameDuplicatesURL($to, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['to'] = $to;
		return self::nameDuplicatesURL2($params);
	
    
  }

  public static function nameUniqueURL($value, $id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['id'] = $id;
		return self::nameUniqueURL2($params);
	
    
  }

  public static function searchOptionsaufgabeEvent_state_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsaufgabeEvent_state_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsaufgabe_state_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsaufgabe_state_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsaufgabe_state_singleURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsaufgabe_state_singleURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_create_stateURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabeEvent_create_stateURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabe_create_stateURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabe_create_stateURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_edit_stateURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabeEvent_edit_stateURL2($params);
	
    
  }

  public static function searchOptionsform_wf_aufgabe_edit_stateURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_aufgabe_edit_stateURL2($params);
	
    
  }

  public static function renderEditaufgabeEvent_state_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditaufgabeEvent_state_deletecascadeURL2($params);
	
    
  }

  public static function renderEditaufgabe_state_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditaufgabe_state_deletecascadeURL2($params);
	
    
  }

  public static function renderEditaufgabe_state_singleURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditaufgabe_state_singleURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabeEvent_create_stateURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabeEvent_create_stateURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabe_create_stateURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabe_create_stateURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabeEvent_edit_stateURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabeEvent_edit_stateURL2($params);
	
    
  }

  public static function renderEditform_wf_aufgabe_edit_stateURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_aufgabe_edit_stateURL2($params);
	
    
  }

  public static function deleteConfirmURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/deleteConfirm';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function createURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/create';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/edit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function viewURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/view';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/delete';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/index';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'deleteConfirm') ) {
		try {
			$result = \Tables\AufgabeState::deleteConfirmAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'create')) {
		try {
			$result = \Tables\AufgabeState::createAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'edit') ) {
		try {
			$result = \Tables\AufgabeState::editAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'view') ) {
		try {
			$result = \Tables\AufgabeState::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'nameDuplicates') && isset($_GET['to'])  ) {
		try {
			$result = \Tables\AufgabeState::nameDuplicatesAction($_GET['to']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'nameUnique') && isset($_GET['value'])   && isset($_GET['id'])  ) {
		try {
			$result = \Tables\AufgabeState::nameUniqueAction($_GET['value'], $_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsaufgabeEvent_state_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\AufgabeState::searchOptionsaufgabeEvent_state_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsaufgabe_state_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\AufgabeState::searchOptionsaufgabe_state_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsaufgabe_state_single') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\AufgabeState::searchOptionsaufgabe_state_singleAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabeEvent_create_state') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\AufgabeState::searchOptionsform_wf_aufgabeEvent_create_stateAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabe_create_state') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\AufgabeState::searchOptionsform_wf_aufgabe_create_stateAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabeEvent_edit_state') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\AufgabeState::searchOptionsform_wf_aufgabeEvent_edit_stateAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_aufgabe_edit_state') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\AufgabeState::searchOptionsform_wf_aufgabe_edit_stateAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditaufgabeEvent_state_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\AufgabeState::renderEditaufgabeEvent_state_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditaufgabe_state_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\AufgabeState::renderEditaufgabe_state_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditaufgabe_state_single') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\AufgabeState::renderEditaufgabe_state_singleAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabeEvent_create_state') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\AufgabeState::renderEditform_wf_aufgabeEvent_create_stateAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabe_create_state') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\AufgabeState::renderEditform_wf_aufgabe_create_stateAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabeEvent_edit_state') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\AufgabeState::renderEditform_wf_aufgabeEvent_edit_stateAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_aufgabe_edit_state') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\AufgabeState::renderEditform_wf_aufgabe_edit_stateAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'delete') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\AufgabeState::deleteAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'index' || $q == '')) {
		try {
			$result = \Tables\AufgabeState::indexAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function nameDuplicatesURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/nameDuplicates';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function nameUniqueURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/nameUnique';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsaufgabeEvent_state_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/searchOptionsaufgabeEvent_state_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsaufgabe_state_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/searchOptionsaufgabe_state_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsaufgabe_state_singleURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/searchOptionsaufgabe_state_single';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_create_stateURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/searchOptionsform_wf_aufgabeEvent_create_state';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabe_create_stateURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/searchOptionsform_wf_aufgabe_create_state';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_edit_stateURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/searchOptionsform_wf_aufgabeEvent_edit_state';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_aufgabe_edit_stateURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/searchOptionsform_wf_aufgabe_edit_state';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditaufgabeEvent_state_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/renderEditaufgabeEvent_state_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditaufgabe_state_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/renderEditaufgabe_state_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditaufgabe_state_singleURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/renderEditaufgabe_state_single';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabeEvent_create_stateURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/renderEditform_wf_aufgabeEvent_create_state';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabe_create_stateURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/renderEditform_wf_aufgabe_create_state';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabeEvent_edit_stateURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/renderEditform_wf_aufgabeEvent_edit_state';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_aufgabe_edit_stateURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/AufgabeState/renderEditform_wf_aufgabe_edit_state';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-aufgabeState-delete ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('aufgabeState').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function indexAccess() { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteConfirmAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-aufgabeState-delete ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('aufgabeState').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createAccess() { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-item-aufgabeState-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('aufgabeState').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function viewAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function nameDuplicatesAccess($to) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function nameUniqueAccess($value, $id) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsaufgabeEvent_state_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsaufgabe_state_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsaufgabe_state_singleAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_create_stateAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabe_create_stateAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabeEvent_edit_stateAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_aufgabe_edit_stateAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditaufgabeEvent_state_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditaufgabe_state_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditaufgabe_state_singleAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabeEvent_create_stateAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabe_create_stateAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabeEvent_edit_stateAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_aufgabe_edit_stateAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



